#ifndef IBAR_Q_CONSTANTS_H
#define IBAR_Q_CONSTANTS_H

#include "konst.h"


namespace CuTe{
namespace NS_Ibar{
namespace NS_Ibar_Q_Constants{


static const double _const_Ibar_q_qmp__a0_l0_e0_delta_nf0 = 1;
static const double _const_Ibar_q_qmp__a1_l0_e2_delta_nf0 = -(C_F*zeta_2);
static const double _const_Ibar_q_qmp__a1_l1_e1_delta_nf0 = -3*C_F;
static const double _const_Ibar_q_qmp__a1_l1_e1_plus0_nf0 = -4*C_F;
static const double _const_Ibar_q_qmp__a2_l0_e4_delta_nf0 = (5*C_F2*zeta_4)/4. + C_A*C_F*(1214/81. - (67*zeta_2)/6. - (77*zeta_3)/9. + 5*zeta_4);
static const double _const_Ibar_q_qmp__a2_l0_e4_delta_nf1 = (C_F*(-164 + 135*zeta_2 + 126*zeta_3))/81.;
static const double _const_Ibar_q_qmp__a2_l0_e4_plus0_nf0 = C_A*C_F*(-808/27. + 28*zeta_3);
static const double _const_Ibar_q_qmp__a2_l0_e4_plus0_nf1 = (112*C_F)/27.;
static const double _const_Ibar_q_qmp__a2_l1_e3_delta_nf0 = (C_F*(9*C_F*(-1 + 10*zeta_2 - 16*zeta_3) + C_A*(-17 - 110*zeta_2 + 72*zeta_3)))/6.;
static const double _const_Ibar_q_qmp__a2_l1_e3_delta_nf1 = (C_F + 10*C_F*zeta_2)/3.;
static const double _const_Ibar_q_qmp__a2_l1_e3_plus0_nf0 = (4*C_F*(9*C_F*zeta_2 + C_A*(-67 + 18*zeta_2)))/9.;
static const double _const_Ibar_q_qmp__a2_l1_e3_plus0_nf1 = (40*C_F)/9.;
static const double _const_Ibar_q_qmp__a2_l2_e2_delta_nf0 = -((C_F*(11*C_A + C_F*(-9 + 16*zeta_2)))/2.);
static const double _const_Ibar_q_qmp__a2_l2_e2_delta_nf1 = C_F;
static const double _const_Ibar_q_qmp__a2_l2_e2_plus0_nf0 = 12*C_F2 - (22*C_A*C_F)/3.;
static const double _const_Ibar_q_qmp__a2_l2_e2_plus0_nf1 = (4*C_F)/3.;
static const double _const_Ibar_q_qmp__a2_l2_e2_plus1_nf0 = 16*C_F2;
static const double _const_Ibar_q_qmp__a3_l1_e5_delta_nf0 = (C_F*(C_A2*(151571 - 252468*zeta_2 + 106632*zeta_3 + 40500*zeta_4 - 38880*zeta_5) + 9*C_A*C_F*(-8933 - 27612*zeta_3 + zeta_2*(5756 + 9072*zeta_3) + 21114*zeta_4 - 12960*zeta_5) + 243*C_F2*(-58 - 272*zeta_3 + zeta_2*(-66 + 224*zeta_3) - 711*zeta_4 + 960*zeta_5)))/972.;
static const double _const_Ibar_q_qmp__a3_l1_e5_delta_nf1 = (C_F*(9*C_F*(785 + 178*zeta_2 + 1098*zeta_3 - 1269*zeta_4) + 2*C_A*(-6662 + 9711*zeta_2 + 72*zeta_3 - 1053*zeta_4)))/243.;
static const double _const_Ibar_q_qmp__a3_l1_e5_delta_nf2 = -((C_F*(-1115 + 1260*zeta_2 + 72*zeta_3))/243.);
static const double _const_Ibar_q_qmp__a3_l1_e5_plus0_nf0 = -((C_F*(405*C_F2*zeta_4 + C_A2*(31006 - 9648*zeta_2 - 14256*zeta_3 + 7128*zeta_4) + 2*C_A*C_F*(-3015*zeta_2 + 4*(-302 + 504*zeta_3 + 405*zeta_4))))/81.);
static const double _const_Ibar_q_qmp__a3_l1_e5_plus0_nf1 = (-2*C_F*(C_A*(-4102 + 720*zeta_2) + C_F*(-1309 + 450*zeta_2 + 1548*zeta_3)))/81.;
static const double _const_Ibar_q_qmp__a3_l1_e5_plus0_nf2 = (-400*C_F)/81.;
static const double _const_Ibar_q_qmp__a3_l1_e5_plus1_nf0 = C_A*C_F2*(6464/27. - 224*zeta_3);
static const double _const_Ibar_q_qmp__a3_l1_e5_plus1_nf1 = (-896*C_F2)/27.;
static const double _const_Ibar_q_qmp__a3_l2_e4_delta_nf0 = -((C_F*(C_A2*(493 + 1210*zeta_2 - 792*zeta_3) + C_A*C_F*(263*zeta_2 + 18*(-3 + 124*zeta_3 - 80*zeta_4)) + 9*C_F2*(-9 + 81*zeta_2 - 144*zeta_3 - 40*zeta_4)))/18.);
static const double _const_Ibar_q_qmp__a3_l2_e4_delta_nf1 = (C_F*(C_A*(73 + 220*zeta_2 - 72*zeta_3) + C_F*(27 - 11*zeta_2 + 144*zeta_3)))/9.;
static const double _const_Ibar_q_qmp__a3_l2_e4_delta_nf2 = (-2*(C_F + 10*C_F*zeta_2))/9.;
static const double _const_Ibar_q_qmp__a3_l2_e4_plus0_nf0 = (-2*C_F*(-4*C_A2*(-445 + 99*zeta_2) - 9*C_A*C_F*(151 + 85*zeta_2 - 72*zeta_3) + 81*C_F2*(-1 + 10*zeta_2 - 16*zeta_3)))/27.;
static const double _const_Ibar_q_qmp__a3_l2_e4_plus0_nf1 = (-4*C_F*(9*C_F*(8 + 11*zeta_2) + C_A*(-289 + 36*zeta_2)))/27.;
static const double _const_Ibar_q_qmp__a3_l2_e4_plus0_nf2 = (-80*C_F)/27.;
static const double _const_Ibar_q_qmp__a3_l2_e4_plus1_nf0 = (-16*C_F2*(9*C_F*zeta_2 + 2*C_A*(-67 + 18*zeta_2)))/9.;
static const double _const_Ibar_q_qmp__a3_l2_e4_plus1_nf1 = (-320*C_F2)/9.;
static const double _const_Ibar_q_qmp__a3_l3_e3_delta_nf0 = (C_F*(-242*C_A2 - 33*C_A*C_F*(-9 + 16*zeta_2) + 3*C_F2*(-27 + 144*zeta_2 - 128*zeta_3)))/18.;
static const double _const_Ibar_q_qmp__a3_l3_e3_delta_nf1 = (C_F*(44*C_A + 3*C_F*(-9 + 16*zeta_2)))/9.;
static const double _const_Ibar_q_qmp__a3_l3_e3_delta_nf2 = (-4*C_F)/9.;
static const double _const_Ibar_q_qmp__a3_l3_e3_plus0_nf0 = 44*C_A*C_F2 - (484*C_A2*C_F)/27. + 2*C_F3*(-9 + 16*zeta_2);
static const double _const_Ibar_q_qmp__a3_l3_e3_plus0_nf1 = -8*C_F2 + (176*C_A*C_F)/27.;
static const double _const_Ibar_q_qmp__a3_l3_e3_plus0_nf2 = (-16*C_F)/27.;
static const double _const_Ibar_q_qmp__a3_l3_e3_plus1_nf0 = (16*(11*C_A - 9*C_F)*C_F2)/3.;
static const double _const_Ibar_q_qmp__a3_l3_e3_plus1_nf1 = (-32*C_F2)/3.;
static const double _const_Ibar_q_qmp__a3_l3_e3_plus2_nf0 = -32*C_F3;
static const double _const_Ibar_q_qmp__a4_l3_e5_delta_nf0 = (C_F*(-22*C_A3*(697 + 1210*zeta_2 - 792*zeta_3) - 9*C_A2*C_F*(-931 + 3222*zeta_2 + 6248*zeta_3 - 5280*zeta_4) + 12*C_A*C_F2*(108 - 238*zeta_3 + 9*zeta_2*(83 + 32*zeta_3) + 1800*zeta_4) + 9*C_F3*(zeta_2*(846 + 2560*zeta_3) - 9*(9 + 144*zeta_3 + 400*zeta_4))))/108.;
static const double _const_Ibar_q_qmp__a4_l3_e5_delta_nf1 = (2*C_F*(C_A2*(305 + 605*zeta_2 - 264*zeta_3) + C_F2*(-54 + 63*zeta_2 - 4*zeta_3 - 360*zeta_4) + 15*C_A*C_F*(-1 + 21*zeta_2 + 46*zeta_3 - 24*zeta_4)))/9.;
static const double _const_Ibar_q_qmp__a4_l3_e5_delta_nf2 = -((C_F*(4*C_A*(19 + 55*zeta_2 - 12*zeta_3) + 3*C_F*(9 + 6*zeta_2 + 32*zeta_3)))/9.);
static const double _const_Ibar_q_qmp__a4_l3_e5_delta_nf3 = (4*(C_F + 10*C_F*zeta_2))/27.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus0_nf0 = (C_F*(88*C_A3*(-496 + 99*zeta_2) + 3*C_A2*C_F*(18621 + 7810*zeta_2 - 7128*zeta_3) + 27*C_A*C_F2*(668*zeta_2 + 9*(-45 + 224*zeta_3 - 160*zeta_4)) + 162*C_F3*(-9 + 81*zeta_2 - 144*zeta_3 - 40*zeta_4)))/81.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus0_nf1 = (-2*C_F*(C_A2*(-3662 + 528*zeta_2) + 2*C_A*C_F*(1329 + 872*zeta_2 - 324*zeta_3) + 9*C_F2*(9 + 16*zeta_2 + 144*zeta_3)))/27.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus0_nf2 = (4*C_F*(C_A*(-286 + 24*zeta_2) + C_F*(69 + 94*zeta_2)))/27.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus0_nf3 = (160*C_F)/81.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus1_nf0 = (8*C_F2*(C_A2*(1678 - 396*zeta_2) - 9*C_A*C_F*(95 + 20*zeta_2 - 24*zeta_3) + 27*C_F2*(-1 + 10*zeta_2 - 16*zeta_3)))/9.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus1_nf1 = (16*C_F2*(9*C_F*(5 + 4*zeta_2) + C_A*(-274 + 36*zeta_2)))/9.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus1_nf2 = (320*C_F2)/9.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus2_nf0 = (32*C_F3*(3*C_F*zeta_2 + C_A*(-67 + 18*zeta_2)))/3.;
static const double _const_Ibar_q_qmp__a4_l3_e5_plus2_nf1 = (320*C_F3)/3.;
static const double _const_Ibar_q_qmp__a4_l4_e4_delta_nf0 = (C_F*(-7986*C_A3 - 1331*C_A2*C_F*(-9 + 16*zeta_2) + 198*C_A*C_F2*(-27 + 144*zeta_2 - 128*zeta_3) + 27*C_F3*(27 - 288*zeta_2 + 512*zeta_3 + 128*zeta_4)))/216.;
static const double _const_Ibar_q_qmp__a4_l4_e4_delta_nf1 = (C_F*(1089*C_A2 + 121*C_A*C_F*(-9 + 16*zeta_2) + 9*C_F2*(27 - 144*zeta_2 + 128*zeta_3)))/54.;
static const double _const_Ibar_q_qmp__a4_l4_e4_delta_nf2 = (-11*C_F*(18*C_A + C_F*(-9 + 16*zeta_2)))/54.;
static const double _const_Ibar_q_qmp__a4_l4_e4_delta_nf3 = (2*C_F)/9.;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus0_nf0 = (C_F*(-1331*C_A3 + 3993*C_A2*C_F + 297*C_A*C_F2*(-9 + 16*zeta_2) + 18*C_F3*(27 - 144*zeta_2 + 128*zeta_3)))/27.;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus0_nf1 = (-2*C_F*(-121*C_A2 + 242*C_A*C_F + 9*C_F2*(-9 + 16*zeta_2)))/9.;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus0_nf2 = (-44*(C_A - C_F)*C_F)/9.;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus0_nf3 = (8*C_F)/27.;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus1_nf0 = -264*C_A*C_F3 + (5324*C_A2*C_F2)/27. + 8*C_F4*(9 - 16*zeta_2);
static const double _const_Ibar_q_qmp__a4_l4_e4_plus1_nf1 = 48*C_F3 - (1936*C_A*C_F2)/27.;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus1_nf2 = (176*C_F2)/27.;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus2_nf0 = 16*(-11*C_A + 6*C_F)*C_F3;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus2_nf1 = 32*C_F3;
static const double _const_Ibar_q_qmp__a4_l4_e4_plus3_nf0 = (128*C_F4)/3.;
static const double _const_Ibar_q_qmp__a5_l5_e5_delta_nf0 = (C_F*(-351384*C_A4 - 66550*C_A3*C_F*(-9 + 16*zeta_2) + 12705*C_A2*C_F2*(-27 + 144*zeta_2 - 128*zeta_3) - 2970*C_A*C_F3*(-27 + 288*zeta_2 - 512*zeta_3 - 128*zeta_4) + 27*C_F4*(160*zeta_2*(27 + 128*zeta_3) - 3*(81 + 3840*zeta_3 + 1920*zeta_4 + 8192*zeta_5))))/3240.;
static const double _const_Ibar_q_qmp__a5_l5_e5_delta_nf1 = (C_F*(21296*C_A3 + 3025*C_A2*C_F*(-9 + 16*zeta_2) - 385*C_A*C_F2*(-27 + 144*zeta_2 - 128*zeta_3) + 45*C_F3*(-27 + 288*zeta_2 - 512*zeta_3 - 128*zeta_4)))/270.;
static const double _const_Ibar_q_qmp__a5_l5_e5_delta_nf2 = (C_F*(-5808*C_A2 - 550*C_A*C_F*(-9 + 16*zeta_2) + 35*C_F2*(-27 + 144*zeta_2 - 128*zeta_3)))/270.;
static const double _const_Ibar_q_qmp__a5_l5_e5_delta_nf3 = (2*C_F*(528*C_A + 25*C_F*(-9 + 16*zeta_2)))/405.;
static const double _const_Ibar_q_qmp__a5_l5_e5_delta_nf4 = (-16*C_F)/135.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus0_nf0 = (C_F*(-117128*C_A4 + 399300*C_A3*C_F + 38115*C_A2*C_F2*(-9 + 16*zeta_2) - 3960*C_A*C_F3*(-27 + 144*zeta_2 - 128*zeta_3) + 405*C_F4*(-27 + 288*zeta_2 - 512*zeta_3 - 128*zeta_4)))/810.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus0_nf1 = (2*C_F*(21296*C_A3 - 54450*C_A2*C_F - 3465*C_A*C_F2*(-9 + 16*zeta_2) + 180*C_F3*(-27 + 144*zeta_2 - 128*zeta_3)))/405.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus0_nf2 = (2*C_F*(-1936*C_A2 + 3300*C_A*C_F + 105*C_F2*(-9 + 16*zeta_2)))/135.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus0_nf3 = (16*(88*C_A - 75*C_F)*C_F)/405.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus0_nf4 = (-64*C_F)/405.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus1_nf0 = (4*C_F2*(13310*C_A3 - 22869*C_A2*C_F - 1188*C_A*C_F2*(-9 + 16*zeta_2) + 54*C_F3*(-27 + 144*zeta_2 - 128*zeta_3)))/81.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus1_nf1 = (16*C_F2*(-605*C_A2 + 693*C_A*C_F + 18*C_F2*(-9 + 16*zeta_2)))/27.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus1_nf2 = (16*(110*C_A - 63*C_F)*C_F2)/27.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus1_nf3 = (-320*C_F2)/81.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus2_nf0 = (8*C_F3*(-847*C_A2 + 792*C_A*C_F + 18*C_F2*(-9 + 16*zeta_2)))/9.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus2_nf1 = (32*(77*C_A - 36*C_F)*C_F3)/9.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus2_nf2 = (-224*C_F3)/9.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus3_nf0 = (128*(22*C_A - 9*C_F)*C_F4)/9.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus3_nf1 = (-512*C_F4)/9.;
static const double _const_Ibar_q_qmp__a5_l5_e5_plus4_nf0 = (-128*C_F5)/3.;


} // namespace NS_Ibar_Q_Constants
} // namespace NS_Ibar
} // namespace CuTe

#endif // IBAR_Q_CONSTANTS_H


